diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsContentProvider.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsContentProvider.java
index d02d1a4b3..dc84b3c5a 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsContentProvider.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsContentProvider.java
@@ -20,15 +20,13 @@ import org.eclipse.jface.viewers.Viewer;
  *
  * @author p.ciardelli
  * @created 09.07.2009
- * @version 1.0
  */
 public class ReferencingObjectsContentProvider implements
 		IStructuredContentProvider {
-	@SuppressWarnings("unused")
-    private static final Logger logger = Logger
-			.getLogger(ReferencingObjectsContentProvider.class);
 
-	/** {@inheritDoc} */
+    @SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(ReferencingObjectsContentProvider.class);
+
 	@Override
     public Object[] getElements(Object inputElement) {
 		if (inputElement instanceof Collection) {
@@ -37,13 +35,9 @@ public class ReferencingObjectsContentProvider implements
 		return new Object[0];
 	}
 
-	/**
-	 * <p>dispose</p>
-	 */
 	@Override
     public void dispose() {}
 
-	/** {@inheritDoc} */
 	@Override
     public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
 }
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsLabelProvider.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsLabelProvider.java
index f071aba14..a4ac2fea5 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsLabelProvider.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/ReferencingObjectsLabelProvider.java
@@ -26,11 +26,11 @@ import eu.etaxonomy.taxeditor.model.DescriptionHelper;
  *
  * @author p.ciardelli
  * @created 09.07.2009
- * @version 1.0
  */
 public class ReferencingObjectsLabelProvider extends LabelProvider implements ITableLabelProvider {
-	private static final Logger logger = Logger
-			.getLogger(ReferencingObjectsLabelProvider.class);
+
+    @SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(ReferencingObjectsLabelProvider.class);
 
 	/**
 	 * <p>Constructor for ReferencingObjectsLabelProvider.</p>
@@ -38,14 +38,11 @@ public class ReferencingObjectsLabelProvider extends LabelProvider implements IT
 	public ReferencingObjectsLabelProvider() {
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
     public Image getColumnImage(Object element, int columnIndex) {
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public String getColumnText(Object element, int columnIndex) {
 		String text = null;
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/e4/ReferencingObjectsViewE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/e4/ReferencingObjectsViewE4.java
index 0d5838faa..dab48be3d 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/e4/ReferencingObjectsViewE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/referencingobjects/e4/ReferencingObjectsViewE4.java
@@ -414,7 +414,6 @@ public class ReferencingObjectsViewE4 extends AbstractCdmEditorPartE4 implements
         }
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void showViewer(IStructuredSelection selection, MPart activePart, Viewer viewer){
 	//	this.part = part;
@@ -465,7 +464,6 @@ public class ReferencingObjectsViewE4 extends AbstractCdmEditorPartE4 implements
 		}
 	}
 
-	/** {@inheritDoc} */
 	@PreDestroy
 	public void dispose() {
 	    if(conversation!=null){
@@ -474,13 +472,11 @@ public class ReferencingObjectsViewE4 extends AbstractCdmEditorPartE4 implements
 	    }
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void changed(Object object) {
 		// no editing in this view
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public boolean onComplete() {
 		return false;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/CdmDataTransfer.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/CdmDataTransfer.java
index 41403b53a..801a7021b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/CdmDataTransfer.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/CdmDataTransfer.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -34,18 +34,18 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  *
  * @author n.hoffmann
  * @created Jun 18, 2010
- * @version 1.0
  */
 public class CdmDataTransfer extends ByteArrayTransfer {
-	private static final Logger logger = Logger
-			.getLogger(CdmDataTransfer.class);
+
+	@SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(CdmDataTransfer.class);
 
 	private static int SEPARATOR = -10;
 	private static int EOF = -20;
 	private static final String TYPE_NAME = "cdmdata-transfer-format"; //$NON-NLS-1$
-	private static final int TYPE_ID = registerType (TYPE_NAME);		
+	private static final int TYPE_ID = registerType (TYPE_NAME);
 	private static final CdmDataTransfer instance = new CdmDataTransfer();
-	
+
 	/**
 	 * <p>Getter for the field <code>instance</code>.</p>
 	 *
@@ -56,36 +56,25 @@ public class CdmDataTransfer extends ByteArrayTransfer {
 	}
 
 	private ICdmBase cdmBase;
-	
-	/* (non-Javadoc)
-	 * @see org.eclipse.swt.dnd.Transfer#getTypeIds()
-	 */
-	/** {@inheritDoc} */
+
 	@Override
 	protected int[] getTypeIds() {
-		return new int[] { TYPE_ID }; 
+		return new int[] { TYPE_ID };
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.swt.dnd.Transfer#getTypeNames()
-	 */
-	/** {@inheritDoc} */
 	@Override
 	protected String[] getTypeNames() {
 		return new String[]{ TYPE_NAME };
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void javaToNative(Object object, TransferData transferData) {
 		byte[] bytes = toByteArray((ICdmBase[]) object);
-		if (bytes != null)
-			super.javaToNative(bytes, transferData);
+		if (bytes != null) {
+            super.javaToNative(bytes, transferData);
+        }
 	}
 
-
-
-	/** {@inheritDoc} */
 	@Override
 	protected Object nativeToJava(TransferData transferData) {
 		byte[] bytes = (byte[]) super.nativeToJava(transferData);
@@ -105,7 +94,7 @@ public class CdmDataTransfer extends ByteArrayTransfer {
 		byte[] bytes = null;
 
 		try {
-			
+
 			for(ICdmBase cdmBaseObject : cdmBaseObjects){
 				writeCdmBaseObject(cdmBaseObject, out);
 			}
@@ -116,14 +105,14 @@ public class CdmDataTransfer extends ByteArrayTransfer {
 		}
 		return bytes;
 	}
-	
-	
+
+
 	private ICdmBase[] fromByteArray(byte[] bytes) {
 		DataInputStream in = new DataInputStream(new ByteArrayInputStream(bytes));
-		
+
 		try {
 			List<ICdmBase> cdmBaseObjects = new ArrayList<ICdmBase>();
-                      
+
 			try{
 				while(true){
 					cdmBaseObjects.add(readCdmBaseObject(in));
@@ -135,36 +124,36 @@ public class CdmDataTransfer extends ByteArrayTransfer {
 			return null;
 		}
 	}
-	
+
 	private ICdmBase readCdmBaseObject(DataInputStream in) throws IOException{
 		String className = in.readUTF();
 		in.readInt();
 		String idString = in.readUTF();
 		in.readInt();
-		
+
 		if(className.equals(Synonym.class.getName()) || className.equals(Taxon.class.getName())){
 			ICdmBase object = CdmStore.getService(ITaxonService.class).load(UUID.fromString(idString));
-			
+
 			if(object == null){
 				return cdmBase;
 			}
-			
+
 			return object;
 		}
-		
+
 		return null;
 	}
-	
+
 	private void writeCdmBaseObject(ICdmBase cdmBase, DataOutputStream out) throws IOException{
 		/**
 		 * CdmBase object serialization:
-		 * 
+		 *
 		 */
 		out.writeUTF(cdmBase.getClass().getName());
 		out.writeInt(SEPARATOR);
 		out.writeUTF(cdmBase.getUuid().toString());
 		out.writeInt(EOF);
-		
+
 		if(cdmBase.getId() == 0){
 			// fallback for unsaved instances
 			this.cdmBase = cdmBase;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/SimpleSelectionProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/SimpleSelectionProvider.java
index 355b5e453..55b2100c0 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/SimpleSelectionProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/SimpleSelectionProvider.java
@@ -32,7 +32,6 @@ import eu.etaxonomy.taxeditor.editor.l10n.Messages;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 16.05.2008
- * @version 1.0
  */
 public class SimpleSelectionProvider implements ISelectionProvider {
 
@@ -41,21 +40,12 @@ public class SimpleSelectionProvider implements ISelectionProvider {
 	private ISelection selection;
 	private Job job;
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.ISelectionProvider#addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void addSelectionChangedListener(
 			ISelectionChangedListener listener) {
 		selectionChangedListeners.add(listener);
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.ISelectionProvider#getSelection()
-	 */
 	/**
 	 * <p>Getter for the field <code>selection</code>.</p>
 	 *
@@ -71,22 +61,12 @@ public class SimpleSelectionProvider implements ISelectionProvider {
 		return new StructuredSelection();
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.ISelectionProvider#removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void removeSelectionChangedListener(
 			ISelectionChangedListener listener) {
 		selectionChangedListeners.remove(listener);
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.jface.viewers.ISelectionProvider#setSelection(org.eclipse.jface.viewers.ISelection)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void setSelection(ISelection selection) {
 		this.selection = selection;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/ViewerConfiguration.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/ViewerConfiguration.java
index 4563d3dfd..e38f1c628 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/ViewerConfiguration.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/ViewerConfiguration.java
@@ -1,8 +1,8 @@
 /**
  * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy 
+ * European Distributed Institute of Taxonomy
  * http://www.e-taxonomy.eu
- * 
+ *
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
@@ -19,20 +19,16 @@ import org.eclipse.jface.text.source.SourceViewerConfiguration;
  *
  * @author p.ciardelli
  * @created 22.01.2009
- * @version 1.0
  */
 public class ViewerConfiguration extends SourceViewerConfiguration {
-	
+
 	private IAnnotationHover annotationHover = new DefaultAnnotationHover();
-	
-	/** {@inheritDoc} */
-	public IAnnotationHover getAnnotationHover(ISourceViewer sourceViewer) {
+
+	@Override
+    public IAnnotationHover getAnnotationHover(ISourceViewer sourceViewer) {
 		return annotationHover;
 	}
 
-//	/* (non-Javadoc)
-//	 * @see org.eclipse.jface.text.source.SourceViewerConfiguration#getContentAssistant(org.eclipse.jface.text.source.ISourceViewer)
-//	 */
 //	@Override
 //	public IContentAssistant getContentAssistant(ISourceViewer sourceViewer) {
 //	    ContentAssistant contentAssistant = new ContentAssistant();
@@ -42,6 +38,6 @@ public class ViewerConfiguration extends SourceViewerConfiguration {
 //	    contentAssistant.setInformationControlCreator(getInformationControlCreator(sourceViewer));
 //	    return contentAssistant;
 //	}
-	
-	
+
+
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/DescriptiveDataSetNavigator.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/DescriptiveDataSetNavigator.java
index 62d13cf43..5477b444d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/DescriptiveDataSetNavigator.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/descriptiveDataSet/DescriptiveDataSetNavigator.java
@@ -205,7 +205,6 @@ public class DescriptiveDataSetNavigator implements IConversationEnabled, ICdmEn
         return selService;
     }
 
-    /** {@inheritDoc} */
     @PreDestroy
     public void dispose() {
         if (conversation != null) {
@@ -218,7 +217,6 @@ public class DescriptiveDataSetNavigator implements IConversationEnabled, ICdmEn
         }
     }
 
-    /** {@inheritDoc} */
     @Focus
     public void setFocus() {
         if (getConversationHolder() != null) {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputDataChangeBehaviourE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputDataChangeBehaviourE4.java
index 5f204279e..751f0597b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputDataChangeBehaviourE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputDataChangeBehaviourE4.java
@@ -13,10 +13,8 @@ import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.model.AbstractDataChangeBehaviour;
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public class TaxonEditorInputDataChangeBehaviourE4 extends
 		AbstractDataChangeBehaviour {
@@ -27,7 +25,6 @@ public class TaxonEditorInputDataChangeBehaviourE4 extends
 		source = taxonEditorInput;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void reactOnDataChange(CdmDataChangeMap events) {
 		source.update(events);
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputE4.java
index 81f6435ee..4fd4915ec 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/e4/TaxonEditorInputE4.java
@@ -63,10 +63,8 @@ import eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin;
 
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConversationEnabled {
 
@@ -121,7 +119,6 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
     	this.taxonNode = taxonNode;
     }
 
-
     private void initForTaxonNode(UUID taxonNodeUuid) {
     	this.getCdmEntitySession().bind();
         TaxonNode taxonNode = CdmStore.getService(ITaxonNodeService.class).load(taxonNodeUuid, getTaxonNodePropertyPaths());
@@ -137,7 +134,7 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
     private void initForTaxonBase(UUID taxonBaseUuid) {
     	this.getCdmEntitySession().bind();
 //        TaxonBase taxonBase = CdmStore.getService(ITaxonService.class).load(taxonBaseUuid, getTaxonBasePropertyPaths());
-    	TaxonBase taxonBase = getCdmEntitySession().remoteLoad(CdmStore.getService(ITaxonService.class), taxonBaseUuid, getTaxonBasePropertyPaths());
+    	TaxonBase<?> taxonBase = getCdmEntitySession().remoteLoad(CdmStore.getService(ITaxonService.class), taxonBaseUuid, getTaxonBasePropertyPaths());
         if (taxonBase != null){
             if(taxonBase.isInstanceOf(Taxon.class)){
                 Taxon taxon = CdmBase.deproxy(taxonBase, Taxon.class);
@@ -324,7 +321,6 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
         return conversation;
     }
 
-    /** {@inheritDoc} */
     @Override
     public void update(CdmDataChangeMap events) {
         if(dataChangeBehavior == null){
@@ -368,7 +364,7 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
             delete(entry.getKey(), entry.getValue());
         }
         toDeletes.clear();
-        for(AbstractPostOperation entry:operations){
+        for(AbstractPostOperation<?> entry:operations){
             IStatus status = Status.CANCEL_STATUS;
             final IAdaptable uiInfoAdapter = WorkspaceUndoUtil
                     .getUIInfoAdapter(AbstractUtility.getShell());
@@ -408,7 +404,7 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
             }
         }
 
-        for (TaxonBase concept: toSaveNewConcepts){
+        for (TaxonBase<?> concept: toSaveNewConcepts){
             for (HybridRelationship rel : concept.getName().getHybridChildRelations()){
 //                if (!rel.getParentName().isPersited()) {
                     toSaveNewNames.add(rel.getParentName());
@@ -430,17 +426,12 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
 
     }
 
-    /**
-     * @param key
-     * @param value
-     */
     private void delete(TaxonBase key, TaxonBaseDeletionConfigurator value) {
         if (key instanceof Synonym){
             CdmStore.getService(ITaxonService.class).deleteSynonym(((Synonym)key).getUuid(), (SynonymDeletionConfigurator) value);
         }else{
             CdmStore.getService(ITaxonService.class).deleteTaxon(((Taxon)key).getUuid(), (TaxonDeletionConfigurator) value, null);
         }
-
     }
 
     @Override
@@ -493,20 +484,12 @@ public class TaxonEditorInputE4  extends CdmEntitySessionInput implements IConve
         return taxonBasePropertyPaths;
     }
 
-    /**
-     * @param selectedElement
-     * @param deleteConfig
-     */
     public void addTaxonBaseToDelete(TaxonBase selectedElement, TaxonBaseDeletionConfigurator deleteConfig) {
         this.toDeletes.put(selectedElement, deleteConfig);
 
     }
 
-    /**
-     * @param newName
-     */
     public void addToSaveNewName(TaxonName newName) {
         this.toSaveNewNames.add(newName);
     }
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/handler/SpecimenPropertyTester.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/handler/SpecimenPropertyTester.java
index da4d0f17c..e1bfabcd1 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/handler/SpecimenPropertyTester.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/handler/SpecimenPropertyTester.java
@@ -1,6 +1,5 @@
 package eu.etaxonomy.taxeditor.editor.handler;
 
-
 import org.eclipse.core.expressions.PropertyTester;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.TreeNode;
@@ -11,8 +10,6 @@ import eu.etaxonomy.cdm.model.occurrence.MediaSpecimen;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
 
-
-
 /**
  * Tests types of specimens to add items to the context menu.
  *
@@ -29,7 +26,6 @@ public class SpecimenPropertyTester extends PropertyTester {
 
     public SpecimenPropertyTester() {}
 
-    /** {@inheritDoc} */
     @Override
     public boolean test(Object receiver, String property, Object[] args, Object expectedValue) {
         if (receiver instanceof IStructuredSelection) {
@@ -78,5 +74,4 @@ public class SpecimenPropertyTester extends PropertyTester {
     private boolean isSequence(Object object) {
         return (object instanceof Sequence);
     }
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
index 9836d8d6e..8fbcf1335 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/internal/TaxeditorEditorPlugin.java
@@ -12,7 +12,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorEditorPlugin extends AbstractUIPlugin {
 
@@ -32,7 +31,6 @@ public class TaxeditorEditorPlugin extends AbstractUIPlugin {
 	public TaxeditorEditorPlugin() {
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void start(BundleContext context) throws Exception {
 		super.start(context);
@@ -47,8 +45,6 @@ public class TaxeditorEditorPlugin extends AbstractUIPlugin {
 		logger.trace("Plugin started: " + this.getBundle().getSymbolicName()); //$NON-NLS-1$
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
     public void stop(BundleContext context) throws Exception {
 		plugin = null;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/e4/KeyEditorDataChangeBehaviourE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/e4/KeyEditorDataChangeBehaviourE4.java
index d8791cdfc..8e34d4f87 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/e4/KeyEditorDataChangeBehaviourE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/e4/KeyEditorDataChangeBehaviourE4.java
@@ -22,7 +22,6 @@ import eu.etaxonomy.taxeditor.model.AbstractDataChangeBehaviour;
 /**
  * @author n.hoffmann
  * @created May 5, 2011
- * @version 1.0
  */
 public class KeyEditorDataChangeBehaviourE4 extends AbstractDataChangeBehaviour {
 
@@ -42,7 +41,6 @@ public class KeyEditorDataChangeBehaviourE4 extends AbstractDataChangeBehaviour
 		}
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void reactOnUpdate(Vector<CdmDataChangeEvent> events){
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/EditorAnnotation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/EditorAnnotation.java
index 3cfad1f75..fd51124e2 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/EditorAnnotation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/EditorAnnotation.java
@@ -20,11 +20,11 @@ import eu.etaxonomy.taxeditor.model.ImageResources;
  * <p>EditorAnnotation class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class EditorAnnotation extends Annotation implements IAnnotationPresentation {
-	private static final Logger logger = Logger
-			.getLogger(EditorAnnotation.class);
+
+    @SuppressWarnings("unused")
+    private static final Logger logger = Logger.getLogger(EditorAnnotation.class);
     private final IMarker marker;
     private String text;
     private int line;
@@ -33,10 +33,10 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
     public enum EditorAnnotationType{
     	WARNING(ImageResources.WARNING_ANNOTATION_ICON, 244, 200, 45),
     	ERROR(ImageResources.ERROR_ANNOTATION_ICON, 255, 0, 0);
-    	
+
     	public Image image;
     	public RGB color;
-    	
+
     	EditorAnnotationType(String imageResource, int r, int g, int b){
     		image = ImageResources.getImage(imageResource);
     		color = new RGB(r, g, b);
@@ -55,30 +55,30 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
 			}
 			return null;
 		}
-    	
+
     }
-    
+
 //    // error identifiers, images and colors
 //    /** Constant <code>ERROR_TYPE="editor.error.type"</code> */
 //    public static String ERROR_TYPE = "editor.error.type";
 //    /** Constant <code>ERROR_IMAGE</code> */
 //    public static Image ERROR_IMAGE = ImageResources.getImage(ImageResources.ERROR_ANNOTATION_ICON);
 //    /** Constant <code>ERROR_RGB</code> */
-//    public static final RGB ERROR_RGB = new RGB(255, 0, 0);    
-//    
+//    public static final RGB ERROR_RGB = new RGB(255, 0, 0);
+//
 //    /** Constant <code>WARNING_TYPE="editor.warning.type"</code> */
 //    public static String WARNING_TYPE = "editor.warning.type";
 //    /** Constant <code>WARNING_IMAGE</code> */
 //    public static Image WARNING_IMAGE = ImageResources.getImage(ImageResources.WARNING_ANNOTATION_ICON);
 //    /** Constant <code>WARNING_RGB</code> */
-//    public static final RGB WARNING_RGB = new RGB(244, 200, 45); 
-    
-    
+//    public static final RGB WARNING_RGB = new RGB(244, 200, 45);
+
+
     public EditorAnnotation(ParserProblem problem){
     	this(EditorAnnotationType.getTypeByProblem(problem), 0, problem.getMessage());
     }
-    
-    
+
+
     /**
      * <p>Constructor for EditorAnnotation.</p>
      *
@@ -111,7 +111,7 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
         this.line = line;
         this.text = text;
     }
-    
+
     /**
      * <p>Getter for the field <code>marker</code>.</p>
      *
@@ -152,12 +152,13 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
 	private Image getImage() {
     	return EditorAnnotationType.valueOf(getType()).image;
 	}
-    
+
     /**
      * <p>getLayer</p>
      *
      * @return a int.
      */
+    @Override
     public int getLayer() {
         return 3;
     }
@@ -181,9 +182,8 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
         this.position = position;
     }
 
-	
-	/** {@inheritDoc} */
-	public void paint(GC gc, Canvas canvas, Rectangle bounds) {
+	@Override
+    public void paint(GC gc, Canvas canvas, Rectangle bounds) {
 		Point canvasSize= canvas.getSize();
 
 		int x= 0;
@@ -191,28 +191,30 @@ public class EditorAnnotation extends Annotation implements IAnnotationPresentat
 		int w= canvasSize.x;
 		int h= bounds.height;
 
-		if (y + h > canvasSize.y)
-			h= canvasSize.y - y;
+		if (y + h > canvasSize.y) {
+            h= canvasSize.y - y;
+        }
 
 		if (y < 0) {
 			h= h + y;
 			y= 0;
 		}
 
-		if (h <= 0)
-			return;
+		if (h <= 0) {
+            return;
+        }
 
 		Image image = getImage();
-		
+
 		if (image == null) {
 			return;
 		}
-		
+
 		Rectangle r = image.getBounds();
-		
+
 		int destX = x + w - r.width;
 		int destY = y + h - r.height;
-		
+
 		gc.drawImage(image, 0, 0, r.width, r.height, destX, destY, r.width, r.height);
 	}
 }
